package com.prolog.eis.service.out;


import com.prolog.eis.model.out.BizOutboundTaskDismantleSupplyHis;
import com.prolog.framework.core.restriction.Criteria;

import java.util.List;
import java.util.Map;

/**
 * @author zmr
 * @description: 出库任务拆零待补货数量-服务接口类
 * @date 2023-09-20 18:32
 */
public interface BizOutboundTaskDismantleSupplyHisService {

    /**
     * 新增数据
     *
     * @param bizOutboundTaskDismantleSupplyHis 出库任务拆零待补货数量
     */
    long save(BizOutboundTaskDismantleSupplyHis bizOutboundTaskDismantleSupplyHis);

    /**
     * 新增批量数据
     *
     * @param bizOutboundTaskDismantleSupplyHisList 出库任务拆零待补货数量
     */
    long saveBatch(List<BizOutboundTaskDismantleSupplyHis> bizOutboundTaskDismantleSupplyHisList);

    /**
     * 查询多条数据
     *
     * @param paramMap 查询起始位置
     * @return 对象列表
     */
    List<BizOutboundTaskDismantleSupplyHis> findByMap(Map<String, Object> paramMap);

    /**
     * 查询单条数据
     *
     * @param paramMap 查询起始位置
     * @return 对象
     */
    BizOutboundTaskDismantleSupplyHis findOneByMap(Map<String, Object> paramMap);

    /**
     * 查询多条数据
     *
     * @param criteria 查询起始位置
     * @return 对象列表
     */
    List<BizOutboundTaskDismantleSupplyHis> findByCriteria(Criteria criteria);

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    BizOutboundTaskDismantleSupplyHis findById(int id);

    /**
     * 修改数据
     *
     * @param bizOutboundTaskDismantleSupplyHis 实例对象
     */
    long update(BizOutboundTaskDismantleSupplyHis bizOutboundTaskDismantleSupplyHis);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     */
    long deleteById(int id);

    /**
     * 通过参数删除数据
     *
     * @param paramMap 参数
     */
    long deleteByMap(Map<String, Object> paramMap);

    /**
     * 通过参数查询总条数
     *
     * @param paramMap 参数
     */
    long findCountByMap(Map<String, Object> paramMap);

}
